/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.shock;

import java.io.Serializable;
import java.util.Date;

public class Shock implements Serializable {

	private static final long serialVersionUID = 1L;

	// Ellipsoide dimensional parameters
	private double radiusX; 	// km
	private double radiusY;
	private double radiusZ;
	// HAE coordinates 
	//private Position pos = new Position(); 		// position in km
	private double phi;			// deg
	private double theta;
	private double rdSun;		// km

	private Date shockTime;

	/**
	 * @return the radiusZ
	 */
	public double getRadiusZ() {
		return radiusZ;
	}

	/**
	 * @param radiusZ the radiusZ to set
	 */
	public void setRadiusZ(double radiusZ) {
		this.radiusZ = radiusZ;
	}

	/**
	 * @return the radiusX
	 */
	public double getRadiusX() {
		return radiusX;
	}

	/**
	 * @param radiusX the radiusX to set
	 */
	public void setRadiusX(double radiusX) {
		this.radiusX = radiusX;
	}

	/**
	 * @return the radiusY
	 */
	public double getRadiusY() {
		return radiusY;
	}

	/**
	 * @param radiusY the radiusY to set
	 */
	public void setRadiusY(double radiusY) {
		this.radiusY = radiusY;
	}

	/**
	 * @return the shockTime
	 */
	public Date getShockTime() {
		return shockTime;
	}

	/**
	 * @param shockTime the shockTime to set
	 */
	public void setShockTime(Date shockTime) {
		this.shockTime = shockTime;
	}

//	/**
//	 * @return the pos
//	 */
//	public Position getPos() {
//		return pos;
//	}
//
//	/**
//	 * @param pos the pos to set
//	 */
//	public void setPos(Position pos) {
//		this.pos = pos;
//	}

	/**
	 * @return the phi
	 */
	public double getPhi() {
		return phi;
	}

	/**
	 * @param phi the phi to set
	 */
	public void setPhi(double phi) {
		this.phi = phi;
	}

	/**
	 * @return the theta
	 */
	public double getTheta() {
		return theta;
	}

	/**
	 * @param theta the theta to set
	 */
	public void setTheta(double theta) {
		this.theta = theta;
	}

	/**
	 * @return the rdSun
	 */
	public double getRdSun() {
		return rdSun;
	}

	/**
	 * @param rdSun the rdSun to set
	 */
	public void setRdSun(double rdSun) {
		this.rdSun = rdSun;
	}

}
